/// @access private
$borders: (
	'thin': 1px solid color('reflex-blue'),
	'thick': 2px solid color('reflex-blue'),
	// Add inline documentation to explain / / purpose of token. 'highlight': 1px solid color('reflex-blue'),
	// Default border. 'fallback': none,
);

// -- HELPER FUNCTION/MIXINS --

/// Get border
/// @param {string} $token - Name of border.
@function border($token: 'thin') {
	@return get-token($borders, $token);
}

/// Get border as CSS Variables.
/// @param {string} $token - Name of border.
@function var-border($token) {
	@return var-token($map: $borders, $token: $token);
}

/// Mixin to unpack all border tokens. Similar behavior to colors--()
/// @link https://www.oddbird.net/accoutrement/docs/color-vars.html#mixin--colors--
@mixin borders--() {
	@include tokens--($map: $borders, $prefix: 'border-');
}

/// Mixin to unpack one border token. Similar behavior to color--()
/// @link https://www.oddbird.net/accoutrement/docs/color-vars.html#mixin--color--
@mixin border--($name) {
	@include token--($map: $borders, $prefix: 'border-');
}
